/***************************************************************************
                         add.h  -  description
                             -------------------
    begin                : czw lut 20 18:50:23 CET 2003
    copyright            : (C) 2003 by Pawel Pustelnik
    email                : pawelpus@o2.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef ADD_H
#define ADD_H

#include <qpopupmenu.h>
#include <qvariant.h>
#include <qdialog.h>


class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QFrame;
class QLabel;
class QLineEdit;
class QListView;
class QListViewItem;
class QToolButton;
	 

class Add : public QDialog
{
    Q_OBJECT

public:
    Add( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~Add();

	QPopupMenu *menu;
    QLabel* textLabel1_2;
    QFrame* line1;
    QFrame* line1_2;
    QLabel* textLabel1;
    QLineEdit* Name_edit;
    QLineEdit* Freq_edit;
    QToolButton* Rem_button;
    QToolButton* Add_button;
    QToolButton* Save_button;
    QToolButton* Quit_button;
    QToolButton* Edit_button;
    QListView* Station_list;
    QLabel* Label_how_many;
    QLabel* textLabel1_3;
    

private slots:

    void Remove_from_list();
    void Add_to_list();
    void Save_list();
    void Cancel();
    void Edit_to_list();
    void List_edit();
	void Remove_all();

protected:

protected slots:
    virtual void languageChange();

};

#endif // ADD_H
