/***************************************************************************
                         info.h  -  description
                             -------------------
    begin                : czw lut 20 18:50:23 CET 2003
    copyright            : (C) 2003 by Pawel Pustelnik
    email                : pawelpus@o2.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#ifndef SETTINGS_H
#define SETTINGS_H

#include <qvariant.h>
#include <qdialog.h>

class QVBoxLayout;
class QHBoxLayout;
class QGridLayout;
class QComboBox;
class QGroupBox;
class QLabel;
class QLineEdit;
class QListView;
class QListViewItem;
class QPushButton;
class QSpinBox;
class QTabWidget;
class QToolButton;
class QWidget;

class Settings : public QDialog
{
    Q_OBJECT

public:
    Settings( QWidget* parent = 0, const char* name = 0, bool modal = FALSE, WFlags fl = 0 );
    ~Settings();

    QToolButton* toolButton4;
    QToolButton* toolButton5;
    QTabWidget* tabWidget2;
    QWidget* tab;
    QGroupBox* groupBox1;
    QLabel* textLabel1;
    QLabel* textLabel3;
    QLabel* textLabel5;
    QLabel* textLabel6;
    QLabel* textLabel4;
    QLabel* textLabel2;
    QLabel* textLabel7;
    QLabel* textLabel8;
    QGroupBox* groupBox2;
    QLabel* textLabel10;
    QLabel* textLabel11;
    QSpinBox* spinBox1;
    QSpinBox* spinBox2;
    QLabel* textLabel13;
    QLabel* textLabel9;
    QLabel* textLabel12;
    QLineEdit* lineEdit3;
    QGroupBox* groupBox3;
    QLabel* textLabel14;
    QLabel* textLabel15;
    QComboBox* comboBox7;
    QLineEdit* lineEdit4;
    QWidget* tab_2;
    QGroupBox* groupBox5;
    QLabel* textLabel16;
    QLabel* textLabel17;
    QComboBox* comboBox9;
    QComboBox* comboBox8;
    QGroupBox* groupBox7;
    QListView* listView1;
    QGroupBox* groupBox6;
    QLabel* textLabel19;
    QLabel* textLabel18;
    QComboBox* comboBox10;
    QLineEdit* lineEdit6;
    QLabel* textLabel21;
    QWidget* tab_3;

    QListView* listView2;
    QPushButton* textLabel20;

protected:

protected slots:
    virtual void languageChange();
    void Save();
    void Quit();
    void  Accept_new_key();
    void  When_clicked() ;
    void  New_shortcut();
    void keyPressEvent( QKeyEvent *k );
};


#endif // SETTINGS_H
