/***************************************************************************
                          skin..cpp  -  description
                             -------------------
    begin                : Sat Apr 12 00:32:39 CEST 2003
    copyright            : (C) 2003 by Pawel Pustelnik
    email                : pawelpus@o2.pl
 ***************************************************************************/

/***************************************************************************
 *                                                                         *
 *   This program is free software; you can redistribute it and/or modify  *
 *   it under the terms of the GNU General Public License as published by  *
 *   the Free Software Foundation; either version 2 of the License, or     *
 *   (at your option) any later version.                                   *
 *                                                                         *
 ***************************************************************************/

#include "skin.h"
#include "home.h"
#include <qlistview.h>
#include <qtoolbutton.h>
#include <stdio.h>
#include <qstring.h>

Skin::Skin( QWidget* parent, const char* name, bool modal, WFlags fl )
    : QDialog( parent, name, modal)

{
	if ( !name )
	    setName( "Skin" );
	
	setMouseTracking(FALSE);	

    SkinList = new QListView( this, "SkinList" );
    SkinList->addColumn( tr( "Skin's Name" ) );
    SkinList->addColumn( tr( "Skin's Dir" ) );
    SkinList->setGeometry( QRect( 30, 40, 290, 250 ) );
    SkinList->setItemMargin( 0 );
    SkinList->setResizeMode( QListView::AllColumns );
    SkinList->setAllColumnsShowFocus( TRUE );
    SkinList->setShowSortIndicator( FALSE );  
    
    Close_button = new QToolButton( this, "Close_button" );
    Close_button->setGeometry( QRect( 350, 1, 8, 8 ) );
    
    resize( QSize(360, 330).expandedTo(minimumSizeHint()) );
  
    connect( SkinList, SIGNAL( clicked(QListViewItem*) ), this, SLOT( Akceptuj() ) );  
    connect( Close_button, SIGNAL( clicked() ), this, SLOT( close_main()) );
}


Skin::~Skin()
{
}

void Skin::Akceptuj()
{
	QString nps;
	char dane[150];
	char data[150];
	FILE *wyj;
	
	nps = home_dir();
	nps.append("/.qtradio/Skins/default");
	
	
	if    (SkinList->selectedItem() != 0 )
  	{
		strcpy(&dane[0],nps);
		wyj = fopen(&dane[0],"w");
		nps = SkinList->selectedItem()->text(1);
		strcpy(&data[0],nps);
		fprintf(wyj,"%s\n",&data[0]);
		fclose(wyj);
		Skin::close();
	}
	
	
}

void Skin::close_main()
{
	Skin::close();
}
